#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC3,0xF1,0x3E,0x85,0x7E,0x73,0x17,0xF7,0x41,0x04,0x70,0xB0,
		0xA0,0x1D,0x40,0x06,0x5E,0x64,0xFA,0x66,0x52,0xA9,0x24,0xAC,
		0x94,0x1A,0x21,0xFE,0xBE,0x0D,0x7E,0x12,0xD2,0xCB,0x1E,0x0C,
		0xD7,0x34,0x9F,0xE0,0x9C,0xD4,0x4D,0x95,0x1A,0xEA,0x1C,0xF0,
		0x5D,0x67,0x65,0x1C,0x1A,0xDA,0x61,0x29,0xBB,0x2C,0x02,0x43,
		0x45,0x47,0x65,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
